Đến nội dung


Hình ảnh
- - - - -

Viết VBA theo yêu cầu.............


  • Please log in to reply
124 replies to this topic

#121 NguyenNgocSon

NguyenNgocSon

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 368 Bài viết
Điểm đánh giá: 39 (tàm tạm)

Đã gửi 16 March 2015 - 10:25 PM

Dim ExcelApp As Object  '3.Khai bao doi tuong goc Excel
Dim Wkb As Object    '4.Khi bao doi tuong Workbook
Dim sht As Object    '5.Khai bao doi tuong Worksheets
Sub changetexttoexcel()
On Error Resume Next
    Dim ssetObj As AcadSelectionSet
    Set ssetObj = ThisDrawing.SelectionSets("mysell")
    If Err <> 0 Then
    Err.Clear
    Set ssetObj = ThisDrawing.SelectionSets.Add("mysell")
    Else
    ssetObj.Clear
    End If
    Dim gpCode(0) As Integer
    gpCode(0) = 0
    Dim dataValue(0) As Variant
    dataValue(0) = "text"
    ssetObj.SelectOnScreen gpCode, dataValue
    Dim ent As AcadText
    For Each ent In ssetObj
    ent.color = acBlue
    Next ent
    Call ConectExcel
  Set Wkb = ExcelApp.Workbooks.Open("D:\abc.xlsx")
  ExcelApp.Visible = True
  Set sht = Wkb.Worksheets(1)
  Dim i As Integer
  For i = 0 To ssetObj.Count - 1
  
   sht.Cells(i + 1, 2) = ssetObj.Item(i).TextString
   
   Next
   End Sub

'Thu thuc khoi dong Excel
Sub ConectExcel()
    On Error Resume Next
    Set ExcelApp = GetObject(, "Excel.Application")
    If Err <> 0 Then
        Err.Clear
        Set ExcelApp = CreateObject("Excel.Application")
        If Err <> 0 Then
            MsgBox "Impossible to initialize an Excel.", vbExclamation
            End
        End If
    End If
    AppActivate ExcelApp.Caption
End Sub

Thử code này nhé.

Nếu code của bạn có lẽ sai ở đây

  For i = 1 To ssetObj.Count Step 1
   WS.Cells(2, 0 + i) = ssetObj.Item(i).Text => ssetObj.Item(i).TextString
   Next

Bài viết đã được chỉnh sửa nội dung bởi NguyenNgocSon: 16 March 2015 - 10:33 PM

  • 1

#122 daolinhvn

daolinhvn

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 16 March 2015 - 11:48 PM

Mình cần chuyển start point và hướng của một hình kín bất kỳ. Mình đã serch thì chỉ tìm được lisp chuyển cho polyline thôi. 

Thanks mod rất nhiều


  • 0

#123 NguyenNgocSon

NguyenNgocSon

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 368 Bài viết
Điểm đánh giá: 39 (tàm tạm)

Đã gửi 31 March 2015 - 11:14 PM

Hỏi về code VBA để in bản vẽ 

Hoặc bác nào có code in trong Cad bằng dòng lệnh xin chia sẻ

Cám ơn 1


  • 0

#124 soledas

soledas

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 May 2015 - 12:13 AM

Mình nhờ các bạn pro vba giúp mình viết đoạn code giúp mình với

Mình có file excel xuăt từ sap2000 ra có các thanh đối xứng nhau qua trục z, x,y, mình muốn viếtt code lọc các thanh có có cùng có cùng tính chất giống nhau đối xứng qua các trục x,y, z vào 1 nhóm để tiện quản lý các thanh trong sap2000. nhờ các pro giúp với, file dính kèm là 1 file dữ liệu xuất từ sap2000 ra, và 1 file yêu cầu về nhóm các thanh có số thứ tự và toạ độ đối xứng được xếp vào 1 nhóm.http://www.cadviet.c..._cau_code_2.rar


  • 0

#125 delacroix

delacroix

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 October 2015 - 10:02 AM

Mời các bạn đưa ra các yêu cầu viết các hàm VBA trong Autocad để các thành viên đưa lên

 

Dear các bác, e đang vẽ 1 autocad quản lý rất nhiều các block dữ liệu bằng excel nên e muốn hỏi các bác cách xài VBA thế nào ( hàm ...) e k rành về VBA lắm. E đã định các địa chỉ bằng attribute sắp xếp theo cột ( 8,10 địa chỉ trong 1 cột). Các bác có kinh nghiệm chỉ e hàm viết để chạy với hay cho e 1 bản vẽ ví dụ để e tham khảo cũng dc. E cảm ơn


  • 0